/*
 * mp.h
 *
 * Copyright 2002, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 *
 * mp.c 用ヘッダーファイル
 */


#ifndef mp_h
#define mp_h


#include"types.h"
#include"pci.h"


#ifndef ASM_FILE


enum{
	/* 割り込みベクター */
	FLASH_PAGEDIR_VECT=	0x31,
};


extern uint MFPS_addres;
extern void set_physical_intr(int irq);
extern void set_logical_intr(int irq);
extern void set_intr_cpu(int irq,int cpu);
extern void set_intr_anony(int irq);
extern int init_mp();
extern int SetPciIrqInIoapic(PCI_INFO*,int);
extern void releasePciIrqIoapicMask(PCI_INFO*);
extern void issue_interrupt_to_cpu(int cpu,int vecter);


#endif


#endif
